Inventory

Query and update product stock levels in bulk.

GET /api/v1/inventory Get Stock Levels
curl 'https://rassmi.com/api/v1/inventory' \
  -H 'Authorization: Bearer rsk_your_key'

Response 200

{
  "data": [
    {
      "id": "uuid-...",
      "name": "Running Shoes",
      "sku": "SHOES-42-BLK",
      "stock_quantity": 48,
      "price": "4200.00",
      "is_active": true
    }
  ]
}
PUT /api/v1/inventory Update Stock (Bulk)

Update stock quantities for up to 100 products per request. Identify each product by sku or product id.

Request Body

{
  "updates": [
    { "sku": "SHOES-42-BLK", "quantity": 50 },
    { "id": "019ea6a5-0b2f-71f8-8b74-958aae166f5e", "quantity": 12 }
  ]
}
curl -X PUT 'https://rassmi.com/api/v1/inventory' \
  -H 'Authorization: Bearer rsk_your_key' \
  -H 'Content-Type: application/json' \
  -d '{"updates":[{"sku":"SHOES-42-BLK","quantity":50}]}'

Response 200

{
  "updated": [
    {
      "id": "uuid-...",
      "sku": "SHOES-42-BLK",
      "stock_quantity": 50
    }
  ],
  "errors": []
}
A 207 Multi-Status is returned when some updates succeed and others fail.